### Name: rowpAUCs-methods
### Title: Rowwise ROC and pAUC computation
### Aliases: rowpAUCs-methods rowpAUCs rowpAUCs,matrix,factor-method
###   rowpAUCs,matrix,numeric-method rowpAUCs,exprSet,ANY-method
###   rowpAUCs,exprSet,character-method rowpAUCs,ExpressionSet,ANY-method
###   rowpAUCs,ExpressionSet,character-method
### Keywords: math

### ** Examples


   data(sample.ExpressionSet)

   r1 = rowttests(sample.ExpressionSet, "sex")
   r2 = rowpAUCs(sample.ExpressionSet, "sex", p=0.1)

 if(interactive()) {
   plot(area(r2), r1$statistic, pch=16)
   sel <- which(area(r2, TRUE) > 0.7)
   plot(r2[sel])
 }

 ## this compares performance and output of rowpAUCs to function pAUC in
 ## package ROC 
 if(require(ROC)){

  myRule = function(x) {
    pAUC(rocdemo.sca(truth = as.integer(sample.ExpressionSet$sex)-1 ,
data = x, rule = dxrule.sca), t0 = 0.1)
  }
  nGenes = 100
  cat("computation time for ", nGenes, "genes:\n")
  cat("function pAUC: ")
  print(system.time(r3 <- esApply(sample.ExpressionSet[1:nGenes, ], 1, myRule)))
  cat("function rowpAUCs: ")
  print(system.time(r2 <- rowpAUCs(sample.ExpressionSet[1:nGenes, ], "sex")))
  plot(r3, area(r2), xlab="function pAUC", ylab="function rowpAUCs", main="pAUCs")
 }



